package com.mortals.xhx.module.alarm.model;

import java.util.List;
import com.mortals.xhx.module.alarm.model.AlarmConfigEntity;
/**
 * 设备告警配置查询对象
 *
 * @author zxfei
 * @date 2022-07-04
 */
public class AlarmConfigQuery extends AlarmConfigEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 产品 */
    private Long productIdStart;

    /** 结束 产品 */
    private Long productIdEnd;

    /** 增加 产品 */
    private Long productIdIncrement;

    /** 产品列表 */
    private List <Long> productIdList;

    /** 开始 告警类型(0.离线) */
    private Integer alarmTypeStart;

    /** 结束 告警类型(0.离线) */
    private Integer alarmTypeEnd;

    /** 增加 告警类型(0.离线) */
    private Integer alarmTypeIncrement;

    /** 告警类型(0.离线)列表 */
    private List <Integer> alarmTypeList;

    /** 开始 告警级别,(0.危险，1.次要，2.一般) */
    private Integer alarmLevelStart;

    /** 结束 告警级别,(0.危险，1.次要，2.一般) */
    private Integer alarmLevelEnd;

    /** 增加 告警级别,(0.危险，1.次要，2.一般) */
    private Integer alarmLevelIncrement;

    /** 告警级别,(0.危险，1.次要，2.一般)列表 */
    private List <Integer> alarmLevelList;

    /** 开始 推送方式,(0.不推送，1.短信) */
    private Integer alarmPusW1ayStart;

    /** 结束 推送方式,(0.不推送，1.短信) */
    private Integer alarmPusW1ayEnd;

    /** 增加 推送方式,(0.不推送，1.短信) */
    private Integer alarmPusW1ayIncrement;

    /** 推送方式,(0.不推送，1.短信)列表 */
    private List <Integer> alarmPusW1ayList;

    /** 开始 是否启用(0.不启用，1.启用) */
    private Integer enabledStart;

    /** 结束 是否启用(0.不启用，1.启用) */
    private Integer enabledEnd;

    /** 增加 是否启用(0.不启用，1.启用) */
    private Integer enabledIncrement;

    /** 是否启用(0.不启用，1.启用)列表 */
    private List <Integer> enabledList;

    /** 备注 */
    private List<String> remarkList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<AlarmConfigQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<AlarmConfigQuery> andConditionList;

    public AlarmConfigQuery(){}

    /**
     * 获取 开始 主键ID，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键ID，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键ID，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 开始 产品
     * @return productIdStart
     */
    public Long getProductIdStart(){
        return this.productIdStart;
    }

    /**
     * 设置 开始 产品
     * @param productIdStart
     */
    public void setProductIdStart(Long productIdStart){
        this.productIdStart = productIdStart;
    }

    /**
     * 获取 结束 产品
     * @return $productIdEnd
     */
    public Long getProductIdEnd(){
        return this.productIdEnd;
    }

    /**
     * 设置 结束 产品
     * @param productIdEnd
     */
    public void setProductIdEnd(Long productIdEnd){
        this.productIdEnd = productIdEnd;
    }

    /**
     * 获取 增加 产品
     * @return productIdIncrement
     */
    public Long getProductIdIncrement(){
        return this.productIdIncrement;
    }

    /**
     * 设置 增加 产品
     * @param productIdIncrement
     */
    public void setProductIdIncrement(Long productIdIncrement){
        this.productIdIncrement = productIdIncrement;
    }

    /**
     * 获取 产品
     * @return productIdList
     */
    public List<Long> getProductIdList(){
        return this.productIdList;
    }

    /**
     * 设置 产品
     * @param productIdList
     */
    public void setProductIdList(List<Long> productIdList){
        this.productIdList = productIdList;
    }

    /**
     * 获取 开始 告警类型(0.离线)
     * @return alarmTypeStart
     */
    public Integer getAlarmTypeStart(){
        return this.alarmTypeStart;
    }

    /**
     * 设置 开始 告警类型(0.离线)
     * @param alarmTypeStart
     */
    public void setAlarmTypeStart(Integer alarmTypeStart){
        this.alarmTypeStart = alarmTypeStart;
    }

    /**
     * 获取 结束 告警类型(0.离线)
     * @return $alarmTypeEnd
     */
    public Integer getAlarmTypeEnd(){
        return this.alarmTypeEnd;
    }

    /**
     * 设置 结束 告警类型(0.离线)
     * @param alarmTypeEnd
     */
    public void setAlarmTypeEnd(Integer alarmTypeEnd){
        this.alarmTypeEnd = alarmTypeEnd;
    }

    /**
     * 获取 增加 告警类型(0.离线)
     * @return alarmTypeIncrement
     */
    public Integer getAlarmTypeIncrement(){
        return this.alarmTypeIncrement;
    }

    /**
     * 设置 增加 告警类型(0.离线)
     * @param alarmTypeIncrement
     */
    public void setAlarmTypeIncrement(Integer alarmTypeIncrement){
        this.alarmTypeIncrement = alarmTypeIncrement;
    }

    /**
     * 获取 告警类型(0.离线)
     * @return alarmTypeList
     */
    public List<Integer> getAlarmTypeList(){
        return this.alarmTypeList;
    }

    /**
     * 设置 告警类型(0.离线)
     * @param alarmTypeList
     */
    public void setAlarmTypeList(List<Integer> alarmTypeList){
        this.alarmTypeList = alarmTypeList;
    }

    /**
     * 获取 开始 告警级别,(0.危险，1.次要，2.一般)
     * @return alarmLevelStart
     */
    public Integer getAlarmLevelStart(){
        return this.alarmLevelStart;
    }

    /**
     * 设置 开始 告警级别,(0.危险，1.次要，2.一般)
     * @param alarmLevelStart
     */
    public void setAlarmLevelStart(Integer alarmLevelStart){
        this.alarmLevelStart = alarmLevelStart;
    }

    /**
     * 获取 结束 告警级别,(0.危险，1.次要，2.一般)
     * @return $alarmLevelEnd
     */
    public Integer getAlarmLevelEnd(){
        return this.alarmLevelEnd;
    }

    /**
     * 设置 结束 告警级别,(0.危险，1.次要，2.一般)
     * @param alarmLevelEnd
     */
    public void setAlarmLevelEnd(Integer alarmLevelEnd){
        this.alarmLevelEnd = alarmLevelEnd;
    }

    /**
     * 获取 增加 告警级别,(0.危险，1.次要，2.一般)
     * @return alarmLevelIncrement
     */
    public Integer getAlarmLevelIncrement(){
        return this.alarmLevelIncrement;
    }

    /**
     * 设置 增加 告警级别,(0.危险，1.次要，2.一般)
     * @param alarmLevelIncrement
     */
    public void setAlarmLevelIncrement(Integer alarmLevelIncrement){
        this.alarmLevelIncrement = alarmLevelIncrement;
    }

    /**
     * 获取 告警级别,(0.危险，1.次要，2.一般)
     * @return alarmLevelList
     */
    public List<Integer> getAlarmLevelList(){
        return this.alarmLevelList;
    }

    /**
     * 设置 告警级别,(0.危险，1.次要，2.一般)
     * @param alarmLevelList
     */
    public void setAlarmLevelList(List<Integer> alarmLevelList){
        this.alarmLevelList = alarmLevelList;
    }

    /**
     * 获取 开始 推送方式,(0.不推送，1.短信)
     * @return alarmPusW1ayStart
     */
    public Integer getAlarmPusW1ayStart(){
        return this.alarmPusW1ayStart;
    }

    /**
     * 设置 开始 推送方式,(0.不推送，1.短信)
     * @param alarmPusW1ayStart
     */
    public void setAlarmPusW1ayStart(Integer alarmPusW1ayStart){
        this.alarmPusW1ayStart = alarmPusW1ayStart;
    }

    /**
     * 获取 结束 推送方式,(0.不推送，1.短信)
     * @return $alarmPusW1ayEnd
     */
    public Integer getAlarmPusW1ayEnd(){
        return this.alarmPusW1ayEnd;
    }

    /**
     * 设置 结束 推送方式,(0.不推送，1.短信)
     * @param alarmPusW1ayEnd
     */
    public void setAlarmPusW1ayEnd(Integer alarmPusW1ayEnd){
        this.alarmPusW1ayEnd = alarmPusW1ayEnd;
    }

    /**
     * 获取 增加 推送方式,(0.不推送，1.短信)
     * @return alarmPusW1ayIncrement
     */
    public Integer getAlarmPusW1ayIncrement(){
        return this.alarmPusW1ayIncrement;
    }

    /**
     * 设置 增加 推送方式,(0.不推送，1.短信)
     * @param alarmPusW1ayIncrement
     */
    public void setAlarmPusW1ayIncrement(Integer alarmPusW1ayIncrement){
        this.alarmPusW1ayIncrement = alarmPusW1ayIncrement;
    }

    /**
     * 获取 推送方式,(0.不推送，1.短信)
     * @return alarmPusW1ayList
     */
    public List<Integer> getAlarmPusW1ayList(){
        return this.alarmPusW1ayList;
    }

    /**
     * 设置 推送方式,(0.不推送，1.短信)
     * @param alarmPusW1ayList
     */
    public void setAlarmPusW1ayList(List<Integer> alarmPusW1ayList){
        this.alarmPusW1ayList = alarmPusW1ayList;
    }

    /**
     * 获取 开始 是否启用(0.不启用，1.启用)
     * @return enabledStart
     */
    public Integer getEnabledStart(){
        return this.enabledStart;
    }

    /**
     * 设置 开始 是否启用(0.不启用，1.启用)
     * @param enabledStart
     */
    public void setEnabledStart(Integer enabledStart){
        this.enabledStart = enabledStart;
    }

    /**
     * 获取 结束 是否启用(0.不启用，1.启用)
     * @return $enabledEnd
     */
    public Integer getEnabledEnd(){
        return this.enabledEnd;
    }

    /**
     * 设置 结束 是否启用(0.不启用，1.启用)
     * @param enabledEnd
     */
    public void setEnabledEnd(Integer enabledEnd){
        this.enabledEnd = enabledEnd;
    }

    /**
     * 获取 增加 是否启用(0.不启用，1.启用)
     * @return enabledIncrement
     */
    public Integer getEnabledIncrement(){
        return this.enabledIncrement;
    }

    /**
     * 设置 增加 是否启用(0.不启用，1.启用)
     * @param enabledIncrement
     */
    public void setEnabledIncrement(Integer enabledIncrement){
        this.enabledIncrement = enabledIncrement;
    }

    /**
     * 获取 是否启用(0.不启用，1.启用)
     * @return enabledList
     */
    public List<Integer> getEnabledList(){
        return this.enabledList;
    }

    /**
     * 设置 是否启用(0.不启用，1.启用)
     * @param enabledList
     */
    public void setEnabledList(List<Integer> enabledList){
        this.enabledList = enabledList;
    }

    /**
     * 获取 备注
     * @return remarkList
     */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }
    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 设置  主键ID，主键，自增长
     * @param id
     */
    public AlarmConfigQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public AlarmConfigQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public AlarmConfigQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public AlarmConfigQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public AlarmConfigQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置  产品
     * @param productId
     */
    public AlarmConfigQuery productId(Long productId){
        setProductId(productId);
        return this;
    }

    /**
     * 设置 开始 产品
     * @param productIdStart
     */
    public AlarmConfigQuery productIdStart(Long productIdStart){
        this.productIdStart = productIdStart;
        return this;
    }

    /**
     * 设置 结束 产品
     * @param productIdEnd
     */
    public AlarmConfigQuery productIdEnd(Long productIdEnd){
        this.productIdEnd = productIdEnd;
        return this;
    }

    /**
     * 设置 增加 产品
     * @param productIdIncrement
     */
    public AlarmConfigQuery productIdIncrement(Long productIdIncrement){
        this.productIdIncrement = productIdIncrement;
        return this;
    }

    /**
     * 设置 产品
     * @param productIdList
     */
    public AlarmConfigQuery productIdList(List<Long> productIdList){
        this.productIdList = productIdList;
        return this;
    }

    /**
     * 设置  告警类型(0.离线)
     * @param alarmType
     */
    public AlarmConfigQuery alarmType(Integer alarmType){
        setAlarmType(alarmType);
        return this;
    }

    /**
     * 设置 开始 告警类型(0.离线)
     * @param alarmTypeStart
     */
    public AlarmConfigQuery alarmTypeStart(Integer alarmTypeStart){
        this.alarmTypeStart = alarmTypeStart;
        return this;
    }

    /**
     * 设置 结束 告警类型(0.离线)
     * @param alarmTypeEnd
     */
    public AlarmConfigQuery alarmTypeEnd(Integer alarmTypeEnd){
        this.alarmTypeEnd = alarmTypeEnd;
        return this;
    }

    /**
     * 设置 增加 告警类型(0.离线)
     * @param alarmTypeIncrement
     */
    public AlarmConfigQuery alarmTypeIncrement(Integer alarmTypeIncrement){
        this.alarmTypeIncrement = alarmTypeIncrement;
        return this;
    }

    /**
     * 设置 告警类型(0.离线)
     * @param alarmTypeList
     */
    public AlarmConfigQuery alarmTypeList(List<Integer> alarmTypeList){
        this.alarmTypeList = alarmTypeList;
        return this;
    }

    /**
     * 设置  告警级别,(0.危险，1.次要，2.一般)
     * @param alarmLevel
     */
    public AlarmConfigQuery alarmLevel(Integer alarmLevel){
        setAlarmLevel(alarmLevel);
        return this;
    }

    /**
     * 设置 开始 告警级别,(0.危险，1.次要，2.一般)
     * @param alarmLevelStart
     */
    public AlarmConfigQuery alarmLevelStart(Integer alarmLevelStart){
        this.alarmLevelStart = alarmLevelStart;
        return this;
    }

    /**
     * 设置 结束 告警级别,(0.危险，1.次要，2.一般)
     * @param alarmLevelEnd
     */
    public AlarmConfigQuery alarmLevelEnd(Integer alarmLevelEnd){
        this.alarmLevelEnd = alarmLevelEnd;
        return this;
    }

    /**
     * 设置 增加 告警级别,(0.危险，1.次要，2.一般)
     * @param alarmLevelIncrement
     */
    public AlarmConfigQuery alarmLevelIncrement(Integer alarmLevelIncrement){
        this.alarmLevelIncrement = alarmLevelIncrement;
        return this;
    }

    /**
     * 设置 告警级别,(0.危险，1.次要，2.一般)
     * @param alarmLevelList
     */
    public AlarmConfigQuery alarmLevelList(List<Integer> alarmLevelList){
        this.alarmLevelList = alarmLevelList;
        return this;
    }

    /**
     * 设置  推送方式,(0.不推送，1.短信)
     * @param alarmPusW1ay
     */
    public AlarmConfigQuery alarmPusW1ay(Integer alarmPusW1ay){
        setAlarmPusW1ay(alarmPusW1ay);
        return this;
    }

    /**
     * 设置 开始 推送方式,(0.不推送，1.短信)
     * @param alarmPusW1ayStart
     */
    public AlarmConfigQuery alarmPusW1ayStart(Integer alarmPusW1ayStart){
        this.alarmPusW1ayStart = alarmPusW1ayStart;
        return this;
    }

    /**
     * 设置 结束 推送方式,(0.不推送，1.短信)
     * @param alarmPusW1ayEnd
     */
    public AlarmConfigQuery alarmPusW1ayEnd(Integer alarmPusW1ayEnd){
        this.alarmPusW1ayEnd = alarmPusW1ayEnd;
        return this;
    }

    /**
     * 设置 增加 推送方式,(0.不推送，1.短信)
     * @param alarmPusW1ayIncrement
     */
    public AlarmConfigQuery alarmPusW1ayIncrement(Integer alarmPusW1ayIncrement){
        this.alarmPusW1ayIncrement = alarmPusW1ayIncrement;
        return this;
    }

    /**
     * 设置 推送方式,(0.不推送，1.短信)
     * @param alarmPusW1ayList
     */
    public AlarmConfigQuery alarmPusW1ayList(List<Integer> alarmPusW1ayList){
        this.alarmPusW1ayList = alarmPusW1ayList;
        return this;
    }

    /**
     * 设置  是否启用(0.不启用，1.启用)
     * @param enabled
     */
    public AlarmConfigQuery enabled(Integer enabled){
        setEnabled(enabled);
        return this;
    }

    /**
     * 设置 开始 是否启用(0.不启用，1.启用)
     * @param enabledStart
     */
    public AlarmConfigQuery enabledStart(Integer enabledStart){
        this.enabledStart = enabledStart;
        return this;
    }

    /**
     * 设置 结束 是否启用(0.不启用，1.启用)
     * @param enabledEnd
     */
    public AlarmConfigQuery enabledEnd(Integer enabledEnd){
        this.enabledEnd = enabledEnd;
        return this;
    }

    /**
     * 设置 增加 是否启用(0.不启用，1.启用)
     * @param enabledIncrement
     */
    public AlarmConfigQuery enabledIncrement(Integer enabledIncrement){
        this.enabledIncrement = enabledIncrement;
        return this;
    }

    /**
     * 设置 是否启用(0.不启用，1.启用)
     * @param enabledList
     */
    public AlarmConfigQuery enabledList(List<Integer> enabledList){
        this.enabledList = enabledList;
        return this;
    }


    /**
     * 设置 备注
     * @param remark
     */
    public AlarmConfigQuery remark(String remark){
        setRemark(remark);
        return this;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public AlarmConfigQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public AlarmConfigQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public AlarmConfigQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public AlarmConfigQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public AlarmConfigQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public AlarmConfigQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }


    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<AlarmConfigQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<AlarmConfigQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<AlarmConfigQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<AlarmConfigQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}